Bug 1484165 - mypaint's URL (from the rpm spec file) now points to a malignant website
Summary: mypaint's URL (from the rpm spec file) now points to a malignant website
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mypaint
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Sergey Avseyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 23:04 UTC by Robert
Modified: 2017-12-19 19:47 UTC (History)
3 users (show)

Fixed In Version: mypaint-1.2.1-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:47:13 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1507581 0 unspecified CLOSED mypaint: FTBFS with scons 3.0.0 2021-02-22 00:41:40 UTC

Internal Links: 1507581

Description Robert 2017-08-22 23:04:37 UTC
Description of problem:

If a user unwittingly follows the URL provided in the 'mypaint' package, and are not able to *quickly* dismiss the entrapping dialog boxes, they may become quite frustrated trying to leave this phishing site.

An elderly user might additionally be tricked into divulging sensitive data, etc.

Version-Release number of selected component (if applicable):
mypaint-1.1.0-8.fc24 (noticed)
mypaint-1.?????.fc25
mypaint-1.?????.fc26
mypaint-1.3.0-4.fc27 (rawhide)


How reproducible:
100%

Steps to Reproduce:
1. lookup "the URL" (via rpm, yum, dnf, or gnome software center)
    a. e.g. "dnf info mypaint"
2. click "the URL"

Actual results:
The user is visually and audibly directed that Microsoft has detected a problem with there computer, and that they need to take action.

Expected results:
Browsing the authoritative & relevant mypaint website.

Additional info:
The new URL should probably be: http://mypaint.org/

Comment 1 Christoph Wickert 2017-12-06 14:31:10 UTC
Reassigning to new package owner

Comment 2 Fedora Update System 2017-12-07 13:54:12 UTC
mypaint-1.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-207420675a

Comment 3 Fedora Update System 2017-12-10 00:32:25 UTC
mypaint-1.2.1-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-207420675a

Comment 4 Fedora Update System 2017-12-19 19:47:13 UTC
mypaint-1.2.1-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.